package com.brilliance.isc.mda.dao;
import java.util.List;
import org.apache.ibatis.annotations.Param;

import com.brilliance.isc.bo.Dtaret;

public interface DtaretMapper {

    int insert(Dtaret record);

    int insertSelective(Dtaret record);

    int updateByPrimaryKeySelective(Dtaret record);

    int updateByPrimaryKey(Dtaret record);

    int deleteByPrimaryKey(Dtaret record);

    Dtaret selectByPrimaryKey(Dtaret record);

    Dtaret selectByTrninr(@Param("trninr") String trninr);

    Dtaret selectByTrninrAndDxuhao(@Param("trninr") String trninr, @Param("dxuhao") String dxuhao);

    Dtaret selectByObjtypAndObjinr(@Param("objtyp") String objtyp,@Param("objinr") String objinr);

}
